
-- 删除job
DELETE FROM ACTIVITY AS A WHERE A.ACTIVITY LIKE 'JOB%' AND A.EXECUTION_TYPE='B';

-- 添加job

INSERT INTO ACTIVITY (HANDLE,ACTIVITY,ENABLED,DESCRIPTION,EXECUTION_TYPE,VISIBLE,CLASS_OR_PROGRAM,SEQUENCE_ID,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityBO:JOB0003','JOB0003','true','产量更新后台作业','B','false','productJob.run',1,NOW(),NOW(),'00000000');
INSERT INTO ACTIVITY (HANDLE,ACTIVITY,ENABLED,DESCRIPTION,EXECUTION_TYPE,VISIBLE,CLASS_OR_PROGRAM,SEQUENCE_ID,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityBO:JOB0002','JOB0002','false','设备心跳超时检测JOB','B','false','heartbeatOverTimeJob.run',1,NOW(),NOW(),'00000000');
INSERT INTO ACTIVITY (HANDLE,ACTIVITY,ENABLED,DESCRIPTION,EXECUTION_TYPE,VISIBLE,CLASS_OR_PROGRAM,SEQUENCE_ID,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityBO:JOB0001','JOB0001','true','原因代码自动识别JOB','B','false','recognizeReasonCodeJob.run',1,NOW(),NOW(),'00000000');


-- 删除job参数
DELETE FROM ACTIVITY_PARAM AS P WHERE P.ACTIVITY_BO like '%JOB00%';

-- 添加 job参数
INSERT INTO ACTIVITY_PARAM (HANDLE,ACTIVITY_BO,PARAM_ID,PARAM_DEFAULT_VALUE,PARAM_DESCRIPTION,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityParamBO:ActivityBO:JOB0001,RUN_TIME_AM','ActivityBO:JOB0001','RUN_TIME_AM','09:00:00','JOB执行时间（早上）',NOW(),NOW(),'00074162');
INSERT INTO ACTIVITY_PARAM (HANDLE,ACTIVITY_BO,PARAM_ID,PARAM_DEFAULT_VALUE,PARAM_DESCRIPTION,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityParamBO:ActivityBO:JOB0001,RUN_TIME_PM','ActivityBO:JOB0001','RUN_TIME_PM','21:00:00','JOB执行时间（下午）',NOW(),NOW(),'00074162');
INSERT INTO ACTIVITY_PARAM (HANDLE,ACTIVITY_BO,PARAM_ID,PARAM_DEFAULT_VALUE,PARAM_DESCRIPTION,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityParamBO:ActivityBO:JOB0003,RUN_TIME_AM_PRO','ActivityBO:JOB0003','RUN_TIME_AM_PRO','08:05:00','JOB执行时间（上午）',NOW(),NOW(),'00000000');
INSERT INTO ACTIVITY_PARAM (HANDLE,ACTIVITY_BO,PARAM_ID,PARAM_DEFAULT_VALUE,PARAM_DESCRIPTION,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityParamBO:ActivityBO:JOB0003,RUN_TIME_PM_PRO','ActivityBO:JOB0003','RUN_TIME_PM_PRO','20:05:00','JOB执行时间（下午）',NOW(),NOW(),'00000000');
INSERT INTO ACTIVITY_PARAM (HANDLE,ACTIVITY_BO,PARAM_ID,PARAM_DEFAULT_VALUE,PARAM_DESCRIPTION,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityParamBO:ActivityBO:JOB0002,LOSS_TIME','ActivityBO:JOB0002','LOSS_TIME','10','心跳超时时间（分钟）',NOW(),NOW(),'00000000');
INSERT INTO ACTIVITY_PARAM (HANDLE,ACTIVITY_BO,PARAM_ID,PARAM_DEFAULT_VALUE,PARAM_DESCRIPTION,CREATED_DATE_TIME,MODIFIED_DATE_TIME,MODIFIED_USER) VALUES (
'ActivityParamBO:ActivityBO:JOB0001,SERVER_NODE','ActivityBO:JOB0001','SERVER_NODE','2','SERVER NODE的数量',NOW(),NOW(),'00074162');

COMMIT;